Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.multiring.testing
Class MultiringRegrTest.MultiringTestMessage

    java.lang.Object
      rice.p2p.multiring.testing.MultiringRegrTest.MultiringTestMessage

All Implemented Interfaces:
  java.io.Serializable, Message

Enclosing class:
  MultiringRegrTest

    public static class MultiringRegrTest.MultiringTestMessage

extends java.lang.Object
implements Message

See Also:
  Serialized Form

Field Summary
`Id` | `source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`MultiringRegrTest.MultiringTestMessage(Id source)`

Method Summary
`int` | `getPriority()` Method which should return the priority level of this message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    public Id source

Constructor Detail

### MultiringRegrTest.MultiringTestMessage

    public MultiringRegrTest.MultiringTestMessage(Id source)

Method Detail

### getPriority

    public int getPriority()

  Description copied from interface: `Message`
  Method which should return the priority level of this message. The messages can range in priority from -15 (highest priority) to 15 (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    This message's priority

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.